@import 'variables';
@import './mixins/mixins.scss';

$border-color: darken($color:$color-white, $amount: 10);
$border-color-dark: lighten($color-black, 10);

.footer {
  margin-top: 5rem;
  background-color: darken($color: $color-white, $amount: 2);
  width: 100%;
  &.dark {
    color: $color-white;
    background-color: $color-black;
  }

  a {
    opacity: 0.8;
    &:hover {
      opacity: 1;
      color: $color-primary;
    }
  }
}

.footer_top {
  border-top: 1px solid $border-color;
  &.dark {
    border-top-color: $border-color-dark;
  }
}

.footer_menu_title {
  margin: 0 0 20px 0;
  opacity: 0.3;
  text-align: center;
  font-weight: normal;
  text-transform: uppercase;
  @media (min-width: $screen-md) {
    text-align: left;
  }
}

.footer_menu_list {
  list-style: none;
  text-align: center;
  padding: 10px;
  border: 1px solid darken($color: $color-white, $amount: 10);
  @media (min-width: $screen-md) {
    text-align: left;
    padding: 0;
    border: none;
    max-height: 250px;
    overflow: scroll;
    margin-right: 20px;
    margin-left: -10px;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    &::-webkit-scrollbar {
      display: none;
    }
  }
  &.dark {
    border-color: lighten($color: $color-black, $amount: 10);
  }

  li.footer_menu_list_item {
    display: inline-block;

    @media (min-width: $screen-md) {
      display: block;
    }

    a {
      display: block;
      font-size: 18px;
      line-height: 22px;
      padding: 6px 10px;
      opacity: 0.7;
      @media (min-width: $screen-md) {
        font-size: 19px;
        line-height: 23px;
      }
      &:hover {
        opacity: 1;
        background-color: darken($color: $color-white, $amount: 5);
        color: $color-primary;
      }
    }

    &.dark a:hover {
      background-color: lighten($color: $color-black, $amount: 10);
    }
  }
}

.footer_wrapper {
  position: relative;
  @include layout_wrapper;
  @media (min-width: $screen-lg) {
    display: flex;
    justify-content: space-between;
  }
}

.footer_bottom_wrapper {
  @include layout_wrapper;
  text-align: center;
  @media (min-width: $screen-md) {
    text-align: left;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
  }
}

.footer_bottom {
  font-size: 16px;
  padding: 1em 0;
  border-top: 1px solid lighten($color: $border-color, $amount: 3);
  &.dark {
    border-top-color: $border-color-dark;
  }
}

.footer_logo {
  text-align: center;
  margin-bottom: 3em;
  @media (min-width: $screen-md) {
    text-align: left;
    margin-bottom: 1em;
  }
  svg {
    @media (min-width: $screen-md) {
      top: -5px;
    }
  }
}


.footer_menus {
  @media (min-width: $screen-md) {
    display: flex;
  }
  @media (min-width: $screen-md) and (max-width: $screen-xlg) {
    width: 100%;
  }
  @media (min-width: $screen-xlg) {
    width: 75%;
  }

  .footer_col {
    @media (min-width: $screen-md) {
      width: 25%;
    }
  }
}

.footer_social {
  margin-top: 2em;
  @media (min-width: $screen-md) {
    margin-top: 0;
  }
  @media (min-width: $screen-md) and (max-width: $screen-xlg) {
    position: absolute;
    left: 0;
    top: 70px;
    .footer_menu_title {
      font-size: 16px;
    }
  }
  @media (min-width: $screen-xlg) {
    align-self: stretch;
    width: 20%;
  }
}

ul.footer_menu_social {
  margin: 0;
  padding: 0;
  text-align: center;
  @media (min-width: $screen-md) {
    text-align: left;
  }
}

.sm_icon {
  display: inline;
  a {
    display: inline-block;
    vertical-align: top;
    width: 40px;
    height: 40px;
    margin-right: 10px;
    text-align: center;
    fill:darken($color: $color-white,$amount: 40);
    background-color:darken($color: $color-white,$amount: 10);
    @include set_border_radius(3px);

    &:hover {
      background-color: $color-primary;
      fill: $color-white;
    }
  }

  &.dark a {
    fill:lighten($color: $color-black,$amount: 40);
    background-color:lighten($color: $color-black,$amount: 10);
    &:hover {
      fill: $color-primary;
      background-color:lighten($color: $color-black,$amount: 15);
    }
  }

  &.facebook a svg {
    margin: 8px 0 0 2px;
  }

  &.twitter a svg {
    margin: 11px 0 0 2px;
  }

  &.linkedin a svg {
    margin: 8px 0 0 3px;
  }

}


.copyrights {
  opacity: 0.5;
  margin-bottom: 10px;
  @media (min-width: $screen-md) and (max-width: $screen-xlg) {
    margin-bottom: 0;
    margin-left: 20px;
  }
}

.terms {
  @media (min-width: $screen-md) and (max-width: $screen-xlg) {
    margin-right: 20px;
  }

  a {
    opacity: 0.5;
    margin-left: 10px;
    &:hover {
      opacity: 1;
    }
  }
}